package jd_cookie

import (
	"context"
	"kami/api/jd_cookie/v1"
	"kami/internal/errHandler"
	"kami/internal/service"

	"github.com/gogf/gf/v2/errors/gcode"
	"github.com/gogf/gf/v2/errors/gerror"
)

// GetOrderStatus 查询订单状态
func (c *ControllerV1) GetOrderStatus(ctx context.Context, req *v1.GetOrderStatusReq) (res *v1.GetOrderStatusRes, err error) {
	_, err = service.SysAuth().LoginOnlyIFrame(ctx)
	if err != nil {
		err = errHandler.WrapError(ctx, gcode.CodeNotAuthorized, err, "权限不足")
		return
	}

	order, err := service.JdCookie().GetOrderStatus(ctx, req.OrderId)
	if err != nil {
		return nil, gerror.WrapCode(gcode.CodeInternalError, err, "查询订单状态失败")
	}

	res = &v1.GetOrderStatusRes{
		Order: order,
	}
	return
}
